Vamp::FFT Class Reference

A simple FFT implementation provided for convenience of plugin authors. More...

`#include <FFT.h>`

## Static Public Member Functions

static void | forward (unsigned int n, const double *ri, const double *ii, double *ro, double *io)
| Calculate a forward transform of size n. More...
static void | inverse (unsigned int n, const double *ri, const double *ii, double *ro, double *io)
| Calculate an inverse transform of size n. More...

## Detailed Description

A simple FFT implementation provided for convenience of plugin authors.

This class provides double-precision FFTs in power-of-two sizes only. It is slower than more sophisticated library implementations. If these requirements aren't suitable, make other arrangements.

The inverse transform is scaled by 1/n.

The implementation is from Don Cross's public domain FFT code.

Definition at line 58 of file FFT.h.

## Member Function Documentation

static void Vamp::FFT::forward | ( | unsigned int | n,
|  | const double * | ri,
|  | const double * | ii,
|  | double * | ro,
|  | double * | io
| ) |  |

static

Calculate a forward transform of size n.

ri and ii must point to the real and imaginary component arrays of the input. For real input, ii may be NULL.

ro and io must point to enough space to receive the real and imaginary component arrays of the output.

All input and output arrays are of size n.

static void Vamp::FFT::inverse | ( | unsigned int | n,
|  | const double * | ri,
|  | const double * | ii,
|  | double * | ro,
|  | double * | io
| ) |  |

static

Calculate an inverse transform of size n.

ri and ii must point to the real and imaginary component arrays of the input. For real input, ii may be NULL.

ro and io must point to enough space to receive the real and imaginary component arrays of the output. The output is scaled by 1/n. The output pointers may not be NULL, even if the output is expected to be real.

All input and output arrays are of size n.

The documentation for this class was generated from the following file:

- FFT.h